package com.ynet.life.file.pdf;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import org.apache.pdfbox.TextToPDF;
import org.apache.pdfbox.exceptions.COSVisitorException;
import org.apache.pdfbox.exceptions.CryptographyException;
import org.apache.pdfbox.pdmodel.PDDocument;
import org.apache.pdfbox.pdmodel.PDPage;
import org.apache.pdfbox.pdmodel.edit.PDPageContentStream;
import org.apache.pdfbox.pdmodel.font.PDType1Font;

/* loaded from: com_ynet_life_file_pdf.jar:com/ynet/life/file/pdf/PdfCreator.class */
public class PdfCreator {
    public static void createAndEcryptPDF(String destFileName, String contents, String password) throws Exception {
        createPDF(destFileName, contents);
        encrytpPDF(destFileName, password);
    }

    public static void createPDF(String destFileName, String contents) throws Exception {
        PDDocument pDDocument = null;
        PDDocument pdd = null;
        try {
            try {
                pdd = new PDDocument();
                PDPage page = new PDPage();
                PDType1Font pDType1Font = PDType1Font.HELVETICA_BOLD;
                pdd.addPage(page);
                PDPageContentStream contentStream = new PDPageContentStream(pdd, page);
                contentStream.beginText();
                contentStream.setFont(pDType1Font, 14.0f);
                contentStream.moveTextPositionByAmount(100.0f, 700.0f);
                contentStream.drawString(contents);
                contentStream.endText();
                contentStream.close();
                pDDocument = pdd;
                pDDocument.save(destFileName);
                try {
                    pdd.close();
                } catch (IOException unused) {
                }
            } catch (Exception e) {
                throw pDDocument;
            }
        } catch (Throwable th) {
            if (pdd != null) {
                try {
                    pdd.close();
                } catch (IOException unused2) {
                }
            }
            throw th;
        }
    }

    public static void encrytpPDF(String pdfFileName, String password) throws IOException, CryptographyException, COSVisitorException {
        PDDocument pdd = PDDocument.load(pdfFileName);
        pdd.encrypt(pdfFileName, password);
        pdd.save(pdfFileName);
    }

    public static void convertTXTtoPDF(String textFileName, String pdfFileName) throws FileNotFoundException, IOException, COSVisitorException {
        new TextToPDF().createPDFFromText(new InputStreamReader(new FileInputStream(textFileName))).save(pdfFileName);
    }

    /* JADX WARN: Type inference failed for: r0v2, types: [java.io.PrintStream, java.lang.Exception] */
    public static void main(String[] args) {
        ?? r0;
        try {
            createAndEcryptPDF("E:/test.pdf", "Hello PDF Created!", "1234");
            r0 = System.out;
            r0.println("Create PDF done.");
        } catch (Exception e) {
            r0.printStackTrace();
        }
    }
}
